Rivet: Generic jet filtering, efficiency and smearing utils

| Rivet 3.1.9

Classes
Generic jet filtering, efficiency and smearing utils
Detector smearing & efficiency functions

## Classes
struct | Rivet::JET_EFF_CONST
| Take a Jet and return a constant efficiency. More...
struct | Rivet::JET_BTAG_EFFS
| b-tagging efficiency functor, for more readable b-tag effs and mistag rates More...
struct | Rivet::JetEffSmearFn
| Functor for simultaneous efficiency-filtering and smearing of Jets. More...
struct | Rivet::JetEffFilter
| A functor to return true if Jet j survives a random efficiency selection. More...
struct | Rivet::PARTICLE_EFF_CONST
| Take a Particle and return a constant number. More...
struct | Rivet::ParticleEffSmearFn
| Functor for simultaneous efficiency-filtering and smearing of Particles. More...
struct | Rivet::ParticleEffFilter
| A functor to return true if Particle p survives a random efficiency selection. More...
typedef function< Jet(const Jet &)> | Rivet::JetSmearFn
| Typedef for Jet smearing functions/functors.
typedef function< double(const Jet &)> | Rivet::JetEffFn
| Typedef for Jet efficiency functions/functors.
using | Rivet::jetEffFilter = JetEffFilter
double | Rivet::JET_EFF_ZERO (const Jet &p)
| Take a jet and return a constant 0.
double | Rivet::JET_EFF_0 (const Jet &p)
| Alias for JET_EFF_ZERO.
double | Rivet::JET_FN0 (const Jet &p)
| Alias for JET_EFF_ZERO.
double | Rivet::JET_EFF_ONE (const Jet &p)
| Take a jet and return a constant 1.
double | Rivet::JET_EFF_1 (const Jet &p)
| Alias for JET_EFF_ONE.
double | Rivet::JET_EFF_PERFECT (const Jet &)
| Alias for JET_EFF_ONE.
double | Rivet::JET_FN1 (const Jet &)
| Alias for JET_EFF_ONE.
double | Rivet::JET_BTAG_PERFECT (const Jet &j)
| Return 1 if the given Jet contains a b, otherwise 0.
double | Rivet::JET_CTAG_PERFECT (const Jet &j)
| Return 1 if the given Jet contains a c, otherwise 0.
double | Rivet::JET_TAUTAG_PERFECT (const Jet &j)
| Return 1 if the given Jet contains a c, otherwise 0.
Jet | Rivet::JET_SMEAR_IDENTITY (const Jet &j)
Jet | Rivet::JET_SMEAR_PERFECT (const Jet &j)
| Alias for JET_SMEAR_IDENTITY.
template<typename FN >
bool | Rivet::efffilt (const Jet &j, FN &feff)
| Return true if Jet j is chosen to survive a random efficiency selection.
typedef function< Particle(const Particle &)> | Rivet::ParticleSmearFn
| Typedef for Particle smearing functions/functors.
typedef function< double(const Particle &)> | Rivet::ParticleEffFn
| Typedef for Particle efficiency functions/functors.
using | Rivet::particleEffFilter = ParticleEffFilter
double | Rivet::PARTICLE_EFF_ZERO (const Particle &)
| Take a Particle and return 0.
double | Rivet::PARTICLE_EFF_0 (const Particle &)
| Alias for PARTICLE_EFF_ZERO.
double | Rivet::PARTICLE_FN0 (const Particle &)
| Alias for PARTICLE_EFF_ZERO.
double | Rivet::PARTICLE_EFF_ONE (const Particle &)
| Take a Particle and return 1.
double | Rivet::PARTICLE_EFF_1 (const Particle &)
| Alias for PARTICLE_EFF_ONE.
double | Rivet::PARTICLE_EFF_PERFECT (const Particle &)
| Alias for PARTICLE_EFF_ONE.
double | Rivet::PARTICLE_FN1 (const Particle &)
| Alias for PARTICLE_EFF_ONE.
Particle | Rivet::PARTICLE_SMEAR_IDENTITY (const Particle &p)
| Take a Particle and return it unmodified.
Particle | Rivet::PARTICLE_SMEAR_PERFECT (const Particle &p)
| Alias for PARTICLE_SMEAR_IDENTITY.
bool | Rivet::efffilt (const Particle &p, const ParticleEffFn &feff)
| Return true if Particle p is chosen to survive a random efficiency selection.

## Detailed Description

## Function Documentation

## ◆ JET_BTAG_PERFECT()

double Rivet::JET_BTAG_PERFECT | ( | const Jet & | j | ) |
| inline

Return 1 if the given Jet contains a b, otherwise 0.

Todo:
  Need to be able to pass a tag pT threshold? -> functor struct

References Rivet::Jet::bTagged().

## ◆ JET_CTAG_PERFECT()

double Rivet::JET_CTAG_PERFECT | ( | const Jet & | j | ) |
| inline

Return 1 if the given Jet contains a c, otherwise 0.

Todo:
  Need to be able to pass a tag pT threshold? -> functor struct

References Rivet::Jet::cTagged().

## ◆ JET_SMEAR_IDENTITY()

Jet Rivet::JET_SMEAR_IDENTITY | ( | const Jet & | j | ) |
| inline

Take a jet and return an unmodified copy

Todo:

  Modify constituent particle vectors for consistency

  Set a null PseudoJet if the Jet is smeared?

## ◆ JET_TAUTAG_PERFECT()

double Rivet::JET_TAUTAG_PERFECT | ( | const Jet & | j | ) |
| inline

Return 1 if the given Jet contains a c, otherwise 0.

Todo:
  Need to be able to pass a tag pT threshold? -> functor struct

References Rivet::Jet::tauTagged().